/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

import request from "@/router/axios";

export function fetchList(data) {
  return request({
    url: "/admin/wmdaagent/page",
    method: "post",
    data
  });
}

export function addObj(obj) {
  return request({
    url: "/admin/wmdaagent",
    method: "post",
    data: obj
  });
}

export function createAeApi(obj) {
  return request({
    url: "/admin/wmdaagent/ae/create",
    method: "post",
    data: obj
  });
}

export function getObj(id) {
  return request({
    url: "/admin/wmdaagent/" + id,
    method: "get"
  });
}

export function delObj(id) {
  return request({
    url: "/admin/wmdaagent/" + id,
    method: "delete"
  });
}

export function putObj(obj) {
  return request({
    url: "/admin/wmdaagent",
    method: "put",
    data: obj
  });
}

export function getAgentList(obj) {
  return request({
    url: "/admin/wmdaagent/list",
    method: "get",
    params: obj
  });
}

export function selectDeptId1(obj) {
  return request({
    url: "/admin/wmdaagent/selectExtDrugEnt",
    method: "get",
    params: obj
  });
}

export function listDept(obj) {
  return request({
    url: "/admin/wmdaagent/listByDept",
    method: "get",
    params: obj
  });
}

export function getDeptBuildName(obj) {
  return request({
    url: "/admin/api/getDeptBuildName/" + obj,
    method: "get"
  });
}

// 评分表
export function evalCreateApi(data) {
  return request({
    url: "/admin/wmdaagent/eval/create",
    method: "post",
    data
  });
}

export function evalDetailApi(deptId) {
  return request({
    url: `/admin/wmdaagent/eval/details?deptId=${deptId}&evalType=admission`,
    method: "get"
  });
}

// 选择药品
export function getWmdadrugentdrugtableList() {
  return request({
    url: `/admin/wmdadrugentdrugtable/list-drug`,
    method: "get"
  });
}
